Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

Update agent chat settings

POST /api/agents/conversations

Update your private Agent Teams chat identity, model preferences and opted-in routines with revision conflict protection. Does not send messages or run hosted AI.

Parameters

workspaceId
string
No description.
action
string
No description.
update_settings
conversationIdrequired
string
No description.
expectedRevisionrequired
integer
No description.
preferencesrequired
object
No description.
completeOnboarding
boolean
No description.

Example

REST requestbash
curl -X POST "https://app.pipeline.help/api/agents/conversations" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"conversationId":"00000000-0000-4000-8000-000000000000","expectedRevision":0,"preferences":{"routines":{"runCompleted":false,"approvalNeeded":false,"weeklyReview":false,"enabledAt":null,"timezone":"UTC","quietStartHour":20,"quietEndHour":8},"displayName":"example","characterPreset":"circle","responseStyle":"concise","conversationModel":{"provider":"anthropic","credentialId":"00000000-0000-4000-8000-000000000000","model":"example"},"coordinatorModel":{"provider":"anthropic","credentialId":"00000000-0000-4000-8000-000000000000","model":"example"}}}'

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"conversation": {
"type": "object",
"additionalProperties": true
}
},
"required": [
"conversation"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline